파이썬으로 장고(Django) 공략하기: 입문

파이썬으로 장고(Django) 공략하기: 입문

(6개의 수강평)

145명의 수강생

44,000원

인프런
평생
초급
수료증
50개 수업, 총 7시간 33분
Wishlist
Juntaek Lee 프로필

no such table이라고 뜨는 오류좀 봐주세요 Juntaek Lee 5일 전

1분35초경의 강의를 따라하다가 다음과 같은 에러가 발생합니다.

 

>>> post= Post.objects.create(title="this is title", content="this is content")

Traceback (most recent call last):

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute

    return self.cursor.execute(sql, params)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/backends/sqlite3/base.py", line 383, in execute

    return Database.Cursor.execute(self, query, params)

sqlite3.OperationalError: no such table: second_post

 

The above exception was the direct cause of the following exception:

 

Traceback (most recent call last):

  File "<console>", line 1, in <module>

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method

    return getattr(self.get_queryset(), name)(*args, **kwargs)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/query.py", line 422, in create

    obj.save(force_insert=True, using=self.db)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/base.py", line 741, in save

    force_update=force_update, update_fields=update_fields)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/base.py", line 779, in save_base

    force_update, using, update_fields,

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/base.py", line 870, in _save_table

    result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/base.py", line 908, in _do_insert

    using=using, raw=raw)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method

    return getattr(self.get_queryset(), name)(*args, **kwargs)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/query.py", line 1186, in _insert

    return query.get_compiler(using=using).execute_sql(return_id)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/models/sql/compiler.py", line 1335, in execute_sql

    cursor.execute(sql, params)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/backends/utils.py", line 99, in execute

    return super().execute(sql, params)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/backends/utils.py", line 67, in execute

    return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/backends/utils.py", line 76, in _execute_with_wrappers

    return executor(sql, params, many, context)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute

    return self.cursor.execute(sql, params)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/utils.py", line 89, in __exit__

    raise dj_exc_value.with_traceback(traceback) from exc_value

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute

    return self.cursor.execute(sql, params)

  File "/home/beanzsoft/Projects/HelloDjango/venv/lib/python3.6/site-packages/django/db/backends/sqlite3/base.py", line 383, in execute

    return Database.Cursor.execute(self, query, params)

django.db.utils.OperationalError: no such table: second_post

 

0
폭탄벌레 프로필

끝까지 했는데 internal server error가 뜨는데요 폭탄벌레 7일 전

에러 어떻게 볼수있나요?

0
Sujin Lee 프로필

장고 접속 방법 Sujin Lee 21일 전

장고에 접속할 때마다 cmd창에서 virtualenv venv를 입력해야 하나요?

0
황진성 프로필

ModelForm에서 initial과 instance의 차이? 황진성 1달 전

ModelForm에서 initial과 instance의 차이가 궁금합니다.

0
여어 프로필

강의내용중에 질문드립니다. 여어 2달 전

프-서빙 프론트엔드 (최종결과물 ) 템플레이팅을 거쳐서 내려준다고 하셨는데

이 부분을 서버사이드 렌더링

클라이언트에서 조합해서 렌더링 하면 클라이언트 렌더링으로 하는 부분이 맞나요???

0
한현미 프로필

Database 한현미 3달 전

sqlite3 의 양식대로 저장을 한다는 뜻인가요, 아니면 장고 프로그램안에 sqlite3이 있어서 그 안에 저장을 해준다는 뜻인가요?

0
한현미 프로필

templatedoesnotexist at 에러 한현미 3달 전

제목 그대로 템플레이츠를 찾을수 없다고 뜨네요! ㅠㅠ

1
pyj789123 프로필

typeerror pyj789123 3달 전

index.html

<html lang = 'en'>

Title

Hello World

{{ current_date }}

{{ current_date|date:"Y년 m월 d일 H시 i분 s초" }}

시작하기!

result.html

Title

    {% for num in numbers %}

  • {{ num }}
  • {% endif %}

views.py

from django.shortcuts import render

from django.http import HttpResponse

from django.template import loader

from datetime import datetime

def index(request):

now = datetime.now()

context = {

'current_date' : now

}

return render(request, 'index.html', context)

def select(request):

context = {'number':4}

return render(request, 'select.html', context)

def result(request):

context = {'numbers': [1,2,3,4,5,6]}

return render(request, 'select.html', context)

'''TypeError: int() argument must be a string, a bytes-like object or a number, not 'NoneType'

[21/Feb/2019 21:25:19] "GET /result/ HTTP/1.1" 500 113375

'''

타입에러가 발생하는데 어디가 문제일까요?

1